# `yasumi`

**HATEOAS-first backend framework**

This is a proposed solution to most Web frameworks that will hopefully inspire other solutions.

See [docs folder](./docs) for more details.

## Links

- Roy Fielding (creator of REST)'s post about criticisms of REST APIs
  
  https://roy.gbiv.com/untangled/2008/rest-apis-must-be-hypertext-driven

- Wikipedia entry on HATEOAS

  https://en.wikipedia.org/wiki/HATEOAS

- JSON for Linked Data (JSON-LD) Specifications

  https://www.w3.org/TR/json-ld-api/

- JSON Hypertext Application Language (HAL) Specifications

  https://datatracker.ietf.org/doc/html/draft-kelly-json-hal-11

- Valibot (zod alternative)

  https://valibot.dev/

- Content negotiation

  https://developer.mozilla.org/en-US/docs/Web/HTTP/Content_negotiation

- RFC 9457 - Problem Details for HTTP APIs

  https://www.rfc-editor.org/rfc/rfc9457.html

- ~~RFC 5988 - Web Linking~~

  ~~https://datatracker.ietf.org/doc/html/rfc5988~~

- RFC 9288 - Web Linking

  https://httpwg.org/specs/rfc8288.html
