import {ParamRequestDecorator} from '../../../common';

declare module '../../../common' {
	interface RequestContext {
		host: string;
	}
}

export const decorateRequestWithHost: ParamRequestDecorator<[string]> = (host) => (req) => {
	req.host = host;

	return req;
};
