import {ParamRequestDecorator} from '../../../common';

declare module '../../../common' {
	interface RequestContext {
		basePath: string;
	}
}

export const decorateRequestWithBasePath: ParamRequestDecorator<[string]> = (basePath) => (req) => {
	req.basePath = basePath;

	return req;
}
