import {ParamRequestDecorator} from '../../../common';

declare module '../../../common' {
	interface RequestContext {
		scheme: string;
	}
}

export const decorateRequestWithScheme: ParamRequestDecorator<[string]> = (scheme) => (req) => {
	req.scheme = scheme;

	return req;
};
